Skip to main content
POST
/
v1
/
events
/
create
Event Creation
curl --request POST \
  --url https://dev.api.mufi.app/v1/events/create \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "start_date": 123,
  "end_date": 123,
  "location": "<string>",
  "address": "<string>",
  "description": "<string>",
  "reference_id": "<string>"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "name": "<string>",
  "start_date": 123,
  "end_date": 123,
  "location": "<string>",
  "address": "<string>",
  "project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "reference_id": "<string>",
  "description": "<string>"
}

Authorizations

Authorization
string
header
required

A JWT Access Token obtained from Google Cloud.

Body

application/json

The request body must include the event name, description, reference ID, start date, and end date.

name
string
required

Name of the event. e.g. "Ultra Music Festival"

Required string length: 3 - 255
start_date
integer
required

Unix timestamp in seconds of the start date

end_date
integer
required

Unix timestamp in seconds of the end date

location
string
required

The location/venue name. e.g. "Madison Square Garden"

Required string length: 1 - 128
address
string
required

The full address of the event location

Required string length: 1 - 255
description
string

Description of the event. e.g. "The best music festival in the world"

reference_id
string | null

An optional ID of the reference object in your database. This can be used to query events by reference object.

Response

Created.

id
string<uuid>
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
name
string
required
start_date
integer
required
end_date
integer
required
location
string
required
address
string
required
project_id
string<uuid>
required
reference_id
string | null

An optional ID of the reference object in your database. This can be used to query events by reference object.

description
string | null